CREATE TABLE "mnnews" (
   "id" varchar(255) NOT NULL,
   "name" text,
   "date" date,
   "topic" varchar(100),
   "body" text,
   "template" varchar(32),
   "crtime" time,
   CONSTRAINT "mnnews_pkey" PRIMARY KEY ("id")
);
CREATE INDEX "crtime_mnnews_key" ON "mnnews" ("crtime");
CREATE INDEX "date_mnnews_key" ON "mnnews" ("date");
CREATE INDEX "template_mnnews_key" ON "mnnews" ("template");

CREATE TABLE "mnsubscr" (
   "template" varchar(32) NOT NULL,
   "user" varchar(100) NOT NULL,
   CONSTRAINT "mnsubscr_pkey" PRIMARY KEY ("user", "template")
);

CREATE TABLE "mntemplate" (
   "id" varchar(32) NOT NULL,
   "name" text,
   "url" text,
   "comment" text,
   "lang" varchar(2),
   "active" int2,
   "rx_news_id" text,
   "rx_news_name" text,
   "rx_news_start" text,
   "rx_news_end" text,
   "rx_news_date" text,
   "rx_news_first" text,
   "rx_news_last" text,
   "rx_topic_id" text,
   "rx_topic_name" text,
   "rx_topic_icon" text,
   "link_news" text,
   "link_icon" text,
   "rx_search_strings" text,
   "rx_replace_strings" text,
   "icon_url" text,
   "mnid" varchar(32),
   "mntm" int8,
   CONSTRAINT "mntemplate_pkey" PRIMARY KEY ("id")
);

CREATE TABLE "mntheme" (
   "id" varchar(32) NOT NULL,
   "name" text,
   "comment" text,
   "mnid" varchar(32),
   "mntm" int8,
   CONSTRAINT "mntheme_pkey" PRIMARY KEY ("id")
);

CREATE TABLE "mntopic" (
   "id" varchar(100) NOT NULL,
   "name" text,
   "iconfile" text,
   CONSTRAINT "mntopic_pkey" PRIMARY KEY ("id")
);

CREATE TABLE "mnuser" (
   "login" varchar(100) NOT NULL,
   "password" varchar(100) NOT NULL,
   "mail" varchar(100),
   "lang" varchar(2),
   "theme" varchar(32),
   "firstname" varchar(100),
   "lastname" varchar(100),
   "display" int8,
   "newsperpage" int2,
   CONSTRAINT "mnuser_pkey" PRIMARY KEY ("login")
);

CREATE TABLE "mnusergroup" (
   "login" varchar(100) NOT NULL,
   "groupid" varchar(32) NOT NULL,
   CONSTRAINT "mnusergroup_pkey" PRIMARY KEY ("groupid", "login")
);
